# Public domain

import argparse
import os
import subprocess
import time

# Ensure that file_name was given.
parser = argparse.ArgumentParser(description="Trim a 3ds rom.")
parser.add_argument("file_name", type=str, help="file to trim")
cmdargs = parser.parse_args()

# Change to directory of trim.py.
os.chdir(os.path.dirname(os.path.realpath(__file__)))

# Call rom_tool.exe, which must be in this directory (or in PATH).
subprocess.call([
    r"rom_tool.exe",
    r"-t",
    cmdargs.file_name
])

#input("Press enter to continue...")

